import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
import { ResponseListType } from "../../types";
import { IGoodType } from "./types";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

// 商品列表
export const httpList = (data: object): ResponseListType<IGoodType> => {
  return http.request("post", `${yewuApi}good/list`, {
    data: {
      ...data,
      isZx: 1
    }
  });
};

export * from "./types";
