import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}

// 销售接口
export const httpXSList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}orderinvlist`, { data });
};

//采购接口
export const httpCGList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}invlist`, { data });
};
