import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

//对账付款申请列表
export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}stagereturnlist`, { data });
};

//对账付款解除详情
export const httpInfo = (data: object): any => {
  return http.request("post", `${yewuApi}stagereturninfo`, { data });
};

export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}stagereturninfo`, { data });
};

//采购付款解除
export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}stagereturn`, { data });
};

//对账单申请删除
export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}stagedel`, { data });
};

//对账单申请付款审核状态
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}stagereturnstatus`, { data });
};

export const httpUpload = (data: object): any => {
  return http.request("post", `${yewuApi}uploadimg`, { data });
};
