import { PageContentInstance } from "../../PageContent";
import PageContainer from "./page-container";

export type Hooks = {
  pageSearchHook?: (...rest: any[]) => any;
  pageModalHook?: (...rest: any[]) => any;
};

export type Events = {
  content?: {
    result?: (data: any) => any;
    handleResult?: (data: any) => any;
    preview?: (row: any) => any;
    update?: (row: any) => any;
    create?: () => any;
  };
};

export type PageContainerInstance = InstanceType<typeof PageContainer> & {
  content: PageContentInstance;
};
