/* eslint-disable prefer-const */
/* 加法 **/
export function addition(arg1, arg2) {
  let r1, r2, m;
  try {
    r1 = arg1.toString().split(".")[1].length;
  } catch (e) {
    r1 = 0;
  }
  try {
    r2 = arg2.toString().split(".")[1].length;
  } catch (e) {
    r2 = 0;
  }
  m = Math.pow(10, Math.max(r1, r2));
  return (arg1 * m + arg2 * m) / m;
}

/* 除法 **/
export function division(arg1, arg2) {
  let t1 = 0,
    t2 = 0,
    r1,
    r2;
  try {
    t1 = arg1.toString().split(".")[1].length;
  } catch (e) { }
  try {
    t2 = arg2.toString().split(".")[1].length;
  } catch (e) { }
  r1 = Number(arg1.toString().replace(".", ""));
  r2 = Number(arg2.toString().replace(".", ""));
  return multiplication(r1 / r2, Math.pow(10, t2 - t1));
}

/* 乘法 **/
export function multiplication(arg1, arg2) {
  let m = 0,
    s1 = arg1.toString(),
    s2 = arg2.toString();
  try {
    m += s1.split(".")[1].length;
  } catch (e) { }
  try {
    m += s2.split(".")[1].length;
  } catch (e) { }
  return (
    (Number(s1.replace(".", "")) * Number(s2.replace(".", ""))) /
    Math.pow(10, m)
  );
}

/* 减法 **/
export function subtraction(arg1, arg2) {
  let r1, r2, m, n;
  try {
    r1 = arg1.toString().split(".")[1].length;
  } catch (e) {
    r1 = 0;
  }
  try {
    r2 = arg2.toString().split(".")[1].length;
  } catch (e) {
    r2 = 0;
  }
  m = Math.pow(10, Math.max(r1, r2)); //last modify by deeka //动态控制精度长度
  n = r1 >= r2 ? r1 : r2;
  return ((arg1 * m - arg2 * m) / m).toFixed(n);
}

export function unit2TenThousand(value) {
  if (value === "NaN" || Number(value) === 0) return "0";
  if ((value < 1000 && value > 0) || (value < 0 && value > -1000)) return value;
  return division(value, 10000).toFixed(2) + "W";
}
export function createTotalItem(values) {
  const fields = Object.keys(values[0]);
  return values.reduce(
    (prev, current) =>
      fields.reduce(
        (prevObject, currentKey) => ({
          ...prevObject,
          [currentKey]: addition(prev[currentKey] || 0, current[currentKey])
        }),
        {}
      ),
    {}
  );
}
