export const required = (
  field: string,
  message: string,
  trigger = "change"
) => ({
  [field]: {
    message,
    trigger,
    required: true
  }
});

export const verification = (...fields: object[]): Record<string, any> => {
  return fields.reduce(
    (prev, next) => ({
      ...prev,
      ...next
    }),
    {}
  );
};
