import { good_type } from "./configs";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "spuCode", label: "商品编码" },
          { value: "good_name", label: "商品名称" }
        ]
      }
    },
    {
      field: "supplierNo",
      type: "supplier-query"
    }
  ]
};

export default searchFormConfig;
