import { FormConfig } from "/@/components/PageSearch";
import { INV_OPEN_STATUS } from "/@/utils/details/inv-open";

const searchFormConfig: FormConfig = {
  colLayout: { span: 8 },
  formItems: [
    {
      field: "customer",
      type: "input",
      placeholder: "客户名称"
    },
    {
      field: "sequenceNo",
      type: "input",
      placeholder: "销售订单编码"
    },
    {
      field: "cxCode",
      type: "input",
      placeholder: "销售订单主编码"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      span: 4,
      options: INV_OPEN_STATUS
    }
  ]
};

export default searchFormConfig;
