import { ModalConfig } from "/@/components/PageModal/src/types";

const modalConfig: ModalConfig = {
  title: "退票申请",
  colLayout: { span: 24 },
  formItems: [
    {
      field: "invNo",
      type: "input",
      label: "发票编码",
      labelWidth: "120px",
      rules: [
        {
          required: true,
          trigger: "change",
          message: "请输入发票编码"
        }
      ]
    },
    {
      field: "return_reason",
      type: "input",
      labelWidth: "120px",
      label: "退货原因",
      rules: [
        {
          required: true,
          trigger: "change",
          message: "请输入退货原因"
        }
      ]
    },
    {
      field: "remark",
      type: "input",
      labelWidth: "120px",
      label: "备注",
      rules: [
        {
          required: true,
          trigger: "change",
          message: "请输入备注"
        }
      ]
    }
  ]
};

export default modalConfig;
