import { RETURN_STATUS } from "/@/utils/details/inv-return";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "申请开始时间",
        endPlaceholder: "申请结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "退票状态",
      options: RETURN_STATUS
    },
    {
      field: "returnCode",
      type: "input",
      placeholder: "退票编码"
    },
    {
      field: "invNo",
      type: "input",
      placeholder: "发票编码"
    },
    {
      field: "apply_name",
      type: "input",
      placeholder: "申请人"
    }
  ]
};

export default searchFormConfig;
