export const MOCK_PROCESS_DATA = [
  { id: "9", process_name: "采购工差单流程", process_type: "CGGCD" },
  {
    id: "2",
    process_name: "采购单入库流程",
    process_type: "RKD",
    child: [
      { id: "76", process_id: "2", order_process: "0", status_name: "待发货" },
      {
        id: "77",
        process_id: "2",
        order_process: "1",
        status_name: "待库管验货"
      },
      {
        id: "78",
        process_id: "2",
        order_process: "2",
        status_name: "待仓库主管审核"
      },
      {
        id: "79",
        process_id: "2",
        order_process: "3",
        status_name: "待采购主管审核"
      },
      {
        id: "81",
        process_id: "2",
        order_process: "5",
        status_name: "待填写物流"
      }
    ]
  },
  {
    id: "1",
    process_name: "采购单流程",
    process_type: "CGD",
    child: [
      {
        id: "71",
        process_id: "1",
        order_process: "0",
        status_name: "待与供应商确认"
      }
    ]
  },
  {
    id: "20",
    process_name: "有赞订单审核流程",
    process_type: "YZQRD",
    child: [
      {
        id: "111",
        process_id: "20",
        order_process: "2",
        status_name: "待产品审核"
      },
      {
        id: "113",
        process_id: "20",
        order_process: "4",
        status_name: "待财务审核"
      }
    ]
  },
  {
    id: "19",
    process_name: "有赞商品上架流程",
    process_type: "YZSX",
    child: [
      {
        id: "108",
        process_id: "19",
        order_process: "0",
        status_name: "待产品审核"
      }
    ]
  },
  {
    id: "24",
    process_name: "竞价单流程",
    process_type: "ZXD",
    child: [
      {
        id: "138",
        process_id: "24",
        order_process: "2",
        status_name: "招标已结束"
      },
      {
        id: "139",
        process_id: "24",
        order_process: "3",
        status_name: "待选择商品"
      },
      {
        id: "140",
        process_id: "24",
        order_process: "4",
        status_name: "已选商品待下单"
      },
      {
        id: "143",
        process_id: "24",
        order_process: "7",
        status_name: "招标已暂停"
      }
    ]
  },
  {
    id: "14",
    process_name: "项目单流程",
    process_type: "PRO",
    child: [
      {
        id: "18",
        process_id: "14",
        order_process: "1",
        status_name: "待商品反馈"
      },
      {
        id: "20",
        process_id: "14",
        order_process: "3",
        status_name: "待方案制定"
      },
      {
        id: "22",
        process_id: "14",
        order_process: "5",
        status_name: "项目待下单"
      }
    ]
  },
  {
    id: "13",
    process_name: "议价单流程",
    process_type: "YJD",
    child: [
      {
        id: "24",
        process_id: "13",
        order_process: "0",
        status_name: "待业务审核"
      },
      {
        id: "26",
        process_id: "13",
        order_process: "2",
        status_name: "待财务专员审核"
      },
      {
        id: "28",
        process_id: "13",
        order_process: "4",
        status_name: "待财务主管审核"
      },
      {
        id: "31",
        process_id: "13",
        order_process: "7",
        status_name: "待boss审核"
      }
    ]
  },
  {
    id: "10",
    process_name: "销售工差单流程",
    process_type: "XSGCD",
    child: [
      {
        id: "40",
        process_id: "10",
        order_process: "1",
        status_name: "待业务审核"
      }
    ]
  },
  {
    id: "8",
    process_name: "销售退货单流程",
    process_type: "XSTHD",
    child: [
      {
        id: "64",
        process_id: "8",
        order_process: "1",
        status_name: "待业务审核"
      },
      {
        id: "65",
        process_id: "8",
        order_process: "2",
        status_name: "待专员审核"
      },
      {
        id: "66",
        process_id: "8",
        order_process: "3",
        status_name: "待主管审核"
      }
    ]
  },
  {
    id: "7",
    process_name: "售后退货单流程",
    process_type: "CKTHD",
    child: [
      {
        id: "60",
        process_id: "7",
        order_process: "1",
        status_name: "退货商品验收"
      },
      {
        id: "61",
        process_id: "7",
        order_process: "2",
        status_name: "退货验收审核"
      },
      {
        id: "62",
        process_id: "7",
        order_process: "3",
        status_name: "退货业务审核"
      }
    ]
  },
  {
    id: "6",
    process_name: "售后申请单流程",
    process_type: "SHD",
    child: [
      {
        id: "51",
        process_id: "6",
        order_process: "1",
        status_name: "待业务审核"
      },
      {
        id: "52",
        process_id: "6",
        order_process: "2",
        status_name: "待采购审核"
      },
      {
        id: "53",
        process_id: "6",
        order_process: "3",
        status_name: "待设置仓库"
      },
      {
        id: "54",
        process_id: "6",
        order_process: "4",
        status_name: "待客户退货"
      }
    ]
  },
  {
    id: "5",
    process_name: "发货申请单流程",
    process_type: "CKD",
    child: [
      {
        id: "47",
        process_id: "5",
        order_process: "1",
        status_name: "待库管发货"
      },
      {
        id: "48",
        process_id: "5",
        order_process: "2",
        status_name: "已发货待收货"
      }
    ]
  },
  { id: "4", process_name: "销售订单流程", process_type: "XSQRD" },
  {
    id: "3",
    process_name: "备货申请单流程",
    process_type: "BHD",
    child: [
      {
        id: "36",
        process_id: "3",
        order_process: "1",
        status_name: "待采购反馈"
      }
    ]
  },
  {
    id: "22",
    process_name: "离职交接流程",
    process_type: "LZJJ",
    child: [
      {
        id: "131",
        process_id: "22",
        order_process: "0",
        status_name: "发起审核流程"
      },
      {
        id: "132",
        process_id: "22",
        order_process: "1",
        status_name: "待离职交接审核"
      }
    ]
  },
  {
    id: "17",
    process_name: "活动流程",
    process_type: "HD",
    child: [
      {
        id: "94",
        process_id: "17",
        order_process: "0",
        status_name: "待产品部审核"
      },
      {
        id: "95",
        process_id: "17",
        order_process: "1",
        status_name: "待采购定价"
      },
      {
        id: "96",
        process_id: "17",
        order_process: "2",
        status_name: "待财务定售价"
      },
      {
        id: "97",
        process_id: "17",
        order_process: "3",
        status_name: "待活动价审核"
      }
    ]
  },
  {
    id: "16",
    process_name: "商品上线流程",
    process_type: "SPSX",
    child: [
      {
        id: "11",
        process_id: "16",
        order_process: "2",
        status_name: "待产品审核"
      },
      {
        id: "12",
        process_id: "16",
        order_process: "3",
        status_name: "待财务定价"
      },
      {
        id: "13",
        process_id: "16",
        order_process: "4",
        status_name: "待财务审核定价"
      },
      { id: "14", process_id: "16", order_process: "5", status_name: "待上线" }
    ]
  },
  {
    id: "15",
    process_name: "商品成本流程",
    process_type: "SPCB",
    child: [
      {
        id: "1",
        process_id: "15",
        order_process: "0",
        status_name: "新建待审核"
      },
      {
        id: "3",
        process_id: "15",
        order_process: "2",
        status_name: "基础修改待审核"
      },
      {
        id: "4",
        process_id: "15",
        order_process: "3",
        status_name: "成本修改待审核"
      },
      {
        id: "5",
        process_id: "15",
        order_process: "4",
        status_name: "基础修改驳回"
      },
      {
        id: "6",
        process_id: "15",
        order_process: "5",
        status_name: "成本修改驳回"
      },
      {
        id: "7",
        process_id: "15",
        order_process: "6",
        status_name: "新建审核驳回"
      },
      {
        id: "8",
        process_id: "15",
        order_process: "7",
        status_name: "复制商品待编辑"
      },
      {
        id: "9",
        process_id: "15",
        order_process: "8",
        status_name: "竞价商品待编辑"
      }
    ]
  },
  {
    id: "12",
    process_name: "盘点单流程",
    process_type: "PDD",
    child: [
      {
        id: "89",
        process_id: "12",
        order_process: "0",
        status_name: "待发起流程"
      },
      {
        id: "90",
        process_id: "12",
        order_process: "1",
        status_name: "待上传盘点结果"
      },
      {
        id: "91",
        process_id: "12",
        order_process: "2",
        status_name: "待审核盘点结果"
      }
    ]
  },
  {
    id: "11",
    process_name: "调拨单流程",
    process_type: "DBD",
    child: [
      {
        id: "83",
        process_id: "11",
        order_process: "0",
        status_name: "待发起流程"
      },
      {
        id: "84",
        process_id: "11",
        order_process: "1",
        status_name: "待入库方同意入库"
      },
      {
        id: "85",
        process_id: "11",
        order_process: "2",
        status_name: "待出库方发货"
      },
      {
        id: "86",
        process_id: "11",
        order_process: "3",
        status_name: "待入库方验货"
      },
      {
        id: "87",
        process_id: "11",
        order_process: "4",
        status_name: "待验货审核"
      }
    ]
  }
];
