export const userGroupProps = {
  name: "title", //组名称
  user: "users", //组成员
  type: "type", //共享类型
  remark: "remark", //备注
  status: "status" //状态
};

export const shareTypes = [
  {
    value: "1",
    label: "组内共享·可编辑"
  },
  {
    value: "2",
    label: "组内共享·只读"
  },
  {
    value: "3",
    label: "组内不共享"
  }
];

export const rules = {
  [userGroupProps.name]: {
    required: true,
    trigger: "blur",
    message: "请输入组名称"
  },
  [userGroupProps.user]: {
    required: true,
    trigger: "blur",
    message: "请选择组成员"
  },
  [userGroupProps.type]: {
    required: true,
    trigger: "blur",
    message: "请输入共享类型"
  },
  [userGroupProps.remark]: {
    required: true,
    trigger: "blur",
    message: "请输入备注"
  }
};
