import { FormRules } from "element-plus";

export const financeRules_NoJS: FormRules = {
  company_name: [
    {
      required: true,
      trigger: "blur",
      message: "请输入业务企业名称"
    }
  ],
  company_address: [
    {
      required: true,
      trigger: "blur",
      message: "请输入企业地址"
    }
  ],
  company_license: [
    {
      required: true,
      trigger: "blur",
      message: "请输入纳税人识别号"
    }
  ],
  mobile: [
    {
      required: true,
      trigger: "blur",
      message: "请输入电话"
    }
  ],
  bank_name: [
    {
      required: true,
      trigger: "blur",
      message: "请输入开户行"
    }
  ],
  bankNo: [
    {
      required: true,
      trigger: "blur",
      message: "请输入开户行账户"
    }
  ],
  input_ticket: [
    {
      required: true,
      trigger: "blur",
      message: "请选择验票方式"
    }
  ],
  out_ticket: [
    {
      required: true,
      trigger: "blur",
      message: "请选择金税开票"
    }
  ],
  ownerPlace: [
    {
      required: true,
      trigger: "blur",
      message: "请输入归属地"
    }
  ],
  denomination: [
    {
      required: true,
      trigger: "blur",
      message: "请输入面额"
    }
  ],
  invoiceType: [
    {
      required: true,
      trigger: "blur",
      message: "请输入发票支持类型"
    }
  ]
};

export const financeRules_JS: FormRules = {
  company_name: [
    {
      required: true,
      trigger: "blur",
      message: "请输入业务企业名称"
    }
  ],
  company_address: [
    {
      required: true,
      trigger: "blur",
      message: "请输入企业地址"
    }
  ],
  company_license: [
    {
      required: true,
      trigger: "blur",
      message: "请输入纳税人识别号"
    }
  ],
  mobile: [
    {
      required: true,
      trigger: "blur",
      message: "请输入电话"
    }
  ],
  bank_name: [
    {
      required: true,
      trigger: "blur",
      message: "请输入开户行"
    }
  ],
  bankNo: [
    {
      required: true,
      trigger: "blur",
      message: "请输入开户行账户"
    }
  ],
  input_ticket: [
    {
      required: true,
      trigger: "blur",
      message: "请选择验票方式"
    }
  ],
  out_ticket: [
    {
      required: true,
      trigger: "blur",
      message: "请选择金税开票"
    }
  ],
  voider: [
    {
      required: true,
      trigger: "blur",
      message: "请输入发票作废人"
    }
  ],
  payee: [
    {
      required: true,
      trigger: "blur",
      message: "请输入收款人"
    }
  ],
  reviewer: [
    {
      required: true,
      trigger: "blur",
      message: "请输入复核人"
    }
  ],
  drawer: [
    {
      required: true,
      trigger: "blur",
      message: "请输入开票人"
    }
  ],
  ownerPlace: [
    {
      required: true,
      trigger: "blur",
      message: "请输入归属地"
    }
  ],
  denomination: [
    {
      required: true,
      trigger: "blur",
      message: "请输入面额"
    }
  ],
  invoiceType: [
    {
      required: true,
      trigger: "blur",
      message: "请输入发票支持类型"
    }
  ]
};
