export const columns = [
  {
    label: "对账编码",
    prop: "payNo",
    minWidth: 160,
    align: "left"
  },
  {
    label: "供应商编码",
    prop: "supplierNo",
    minWidth: 150,
    align: "left"
  },
  {
    label: "供应商名称",
    prop: "supplierName",
    minWidth: 180,
    align: "left"
  },
  {
    label: "业务公司编码",
    prop: "companyNo",
    minWidth: 150
  },
  {
    label: "业务公司名称",
    prop: "companyName",
    minWidth: 180
  },
  {
    label: "回票状态",
    prop: "inv_status",
    minWidth: 100
  },
  {
    label: "总额款",
    prop: "total_fee",
    minWidth: 110,
    align: "total_fee"
  },
  {
    label: "付款标签金额",
    prop: "pay_tag_fee",
    minWidth: 110,
    align: "left"
  },
  {
    label: "已付款金额",
    prop: "apay_fee",
    minWidth: 110,
    align: "left"
  },
  {
    label: "申请人",
    prop: "apply_name",
    minWidth: 90
  },
  {
    label: "申请时间",
    prop: "addtime",
    minWidth: 120
  }
];

export const ticketFormItems = {
  //手工开票
  "1": [
    {
      label: "发票类型",
      prop: "invoiceType"
    },
    {
      label: "发票代码",
      prop: "invCode"
    },
    {
      label: "发票号码",
      prop: "invNumber"
    },
    {
      label: "税前金额",
      prop: "subtotal_amount"
    },
    {
      label: "校验码",
      prop: "checkNumber"
    },
    {
      label: "开票日期",
      prop: "open_time"
    }
  ],
  //ocr识别
  "2": [
    {
      label: "发票图片",
      prop: "inv_img"
    }
  ]
};
