import { FormRules } from "element-plus";

export const createRules: FormRules = {
  hpNo: {
    trigger: "change",
    required: true,
    message: "请选择采购回票"
  },
  reason: {
    required: true,
    message: "请输入解除理由",
    trigger: "change"
  }
};

export const invoceRules: FormRules = {
  payNo: [
    {
      trigger: "blur",
      message: "请选择订单",
      required: true
    }
  ],
  invoiceType: [
    {
      trigger: "blur",
      message: "请选择发票类型",
      required: true
    }
  ],
  invType: [
    {
      trigger: "blur",
      message: "请选择申请方式",
      required: true
    }
  ],
  invNumber: [
    {
      trigger: "blur",
      message: "请输入发票代码",
      required: true
    }
  ],
  invCode: [
    {
      trigger: "blur",
      message: "请选择发票编码",
      required: true
    }
  ],
  open_time: [
    {
      trigger: "blur",
      message: "请选择开票时间",
      required: true
    }
  ],
  subtotal_amount: [
    {
      trigger: "blur",
      message: "请输入金额",
      required: true
    }
  ],
  invName: [
    {
      trigger: "blur",
      message: "请输入发票名称",
      required: true
    }
  ],
  gold: [
    {
      trigger: "blur",
      message: "请选择金额",
      required: true
    }
  ]
};
