import { ModalConfig } from "/@/components/PageModal/src/types";

const modalConfig: ModalConfig = {
  title: "可申请报表",
  colLayout: { span: 24 },
  itemStyle: {},
  formItems: [
    {
      field: "name",
      type: "input",
      label: "报表名称",
      labelWidth: "120px",
      placeholder: "报表名称",
      rules: [{ required: true, trigger: "change", message: "请输入报表名称" }],
      otherOptions: {
        disabled: true
      }
    },
    {
      field: "action",
      type: "select",
      label: "报表选项",
      labelWidth: "120px",
      placeholder: "报表选项",
      rules: [{ required: true, trigger: "change", message: "请选择报表选项" }],
      options: []
    },
    {
      field: "companyNo",
      type: "select",
      label: "业务公司",
      labelWidth: "120px",
      placeholder: "业务公司",
      rules: [{ required: true, trigger: "change", message: "请选择业务公司" }],
      options: []
    }
  ]
};

export default modalConfig;
