import { httpList } from "/@/api/system/action";
import { ContentConfig } from "/@/components/PageContent";
import { renderIconLabelLeft, renderProp } from "/@/utils/columnRenderHelper";

const columns = [
  {
    label: "按钮编码",
    prop: "action_code",
  },
  {
    label: "按钮名称",
    prop: "action_name",
  },
];

const contentConfig: ContentConfig = {
  columns,
  apis: {
    httpList,
  }
};

export default contentConfig;
