import { createOptions } from "../utils/create-options";
import { ModalConfig } from "/@/components/PageModal/src/types";
const modalConfig: ModalConfig = {
  title: "按钮",
  colLayout: { span: 24 },
  itemStyle: {},
  formItems: [
    {
      field: "action_code",
      type: "select",
      label: "按钮名称",
      labelWidth: "120px",
      placeholder: "按钮名称",
      options: createOptions(),
      rules: [{ required: true, trigger: "change", message: "请选择按钮标识" }]
    },
    {
      field: "status",
      type: "radio",
      labelWidth: "120px",
      label: "按钮状态",
      options: [
        {
          label: "启用",
          value: "1"
        },
        {
          label: "禁用",
          value: "0"
        }
      ],
      rules: [{ required: true, trigger: "change", message: "请选择按钮状态" }]
    }
  ]
};

export default modalConfig;
