import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = "http://rep.report.caixiao365.com" + "/admin/Everyday/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}

// 列表
export const httpList = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}YsStat`, { data });
};

export const httpCompanyDayList = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}companyEveryMonth`, { data });
};
