import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  message?: string;
}

//根据角色获取权限
export const httpActionList = (): ResponseType => {
  return http.request("post", `${yewuApi}role_process_save`, { data: {} });
}


export const httpAllList = (): ResponseType => {
  return http.request("post", `${yewuApi}action_process_all`, { data: {} });
}
