import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

//发票回票列表
export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}invlist`, { data });
};

//发票回票添加
export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}invadd`, { data });
};

//发票回票审核状态
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}invstatus`, { data });
};

//发票回票详情
export const httpInfo = (data: object): any => {
  return http.request("post", `${yewuApi}hpinfo`, { data });
};

export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}hpinfo`, { data });
};

//发票回票删除
export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}invdel`, { data });
};

//发票回票批量审核
export const httpBatchimport = (data: object): any => {
  return http.request("post", `${yewuApi}hpbatchimport`, { data });
};

//发票回票批量添加
export const httpBatchAdd = (data: object): any => {
  return http.request("post", `${yewuApi}invAddBatchByImport`, { data });
};
