import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}
// // 添加
// export const httpAdd = (data: object): ResponseType => {
//   return http.request("post", `${yewuApi}orderpayadd`, { data });
// };
// 列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}report`, { data });
};

// 详情
export const httpDetail = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}reportinfo`, { data });
};

// // 详情
// export const httpDetail = (data: object): ResponseType => {
//   return http.request("post", `${yewuApi}tradeQuery`, { data });
// };
// // 更新
// export const httpUpdate = (data: object): ResponseType => {
//   return http.request("post", `${yewuApi}menusave`, { data });
// };
// // 状态
// export const httpStatus = (data: object): ResponseType => {
//   return http.request("post", `${yewuApi}orderpaystatus`, { data });
// };
// // 删除
// export const httpDelete = (data: object): ResponseType => {
//   return http.request("post", `${yewuApi}menudel`, { data });
// };
