import { string } from "vue-types";

export type IDataType<T = any> = {
  data?: T;
  code?: number;
  message?: string;
};

type ListData<T> = {
  list: Array<T>;
  count: string;
};

export type ResponseType<T = any> = Promise<IDataType<T>>;

//列表数据
export type ResponseListType<T = any> = Promise<IDataType<ListData<T>>>;
