const Layout = () => import("/@/layout/index.vue");

const permissionRouter = {
  path: "/permission",
  redirect: "/permission/page/index",
  component: Layout,
  meta: {
    title: "权限管理",
    icon: "lollipop",

    rank: 7
  },
  children: [
    {
      path: "/permission/page/index",
      name: "PermissionPage",
      component: () => import("/@/views/permission/page/index.vue"),
      meta: {
        title: "页面权限"
      }
    },
    {
      path: "/permission/button/index",
      name: "PermissionButton",
      meta: {
        title: "按钮权限",
        authority: []
      }
    }
  ]
};

export default permissionRouter;
