import { good_type } from "./configs";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "spuCode", label: "商品编码" },
          { value: "good_name", label: "商品名称" },
          // { value: "supplierNo", label: "卖方公司编码" },
          // { value: "supplierName", label: "卖方公司名称" },
          { value: "creater", label: "创建人" }
        ]
      }
    },
    {
      field: "supplierNo",
      type: "supplier-query"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: good_type
    }
  ]
};

export default searchFormConfig;
