import { FormConfig } from "/@/components/PageSearch";

export const refund_type = [
  {
    value: "1",
    label: "退款"
  },
  {
    value: "2",
    label: "资金认领解除"
  }
];

export const refund_status = [
  {
    value: "0",
    label: "待审核"
  },
  {
    value: "1",
    label: "财务审核"
  },
  {
    value: "2",
    label: "财务驳回"
  }
];

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "returnCode",
      type: "input",
      placeholder: "退款编码"
    },
    {
      field: "status",
      type: "select",
      placeholder: "退款状态",
      options: refund_status
    },
    {
      field: "logNo",
      type: "input",
      placeholder: "资金认领编码"
    },

    {
      field: "orderCode",
      type: "input",
      placeholder: "销售订单编码"
    },
    {
      field: "tradNo",
      type: "input",
      placeholder: "资金编码"
    },
    {
      field: "apply_name",
      type: "input",
      placeholder: "申请人"
    }
    // {
    //   field: "type",
    //   type: "select",
    //   placeholder: "退款类型",
    //   options: refund_type
    // },
  ]
};

export default searchFormConfig;
