import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "invNo",
      type: "input",
      placeholder: "开票申请编号",
      span: 4
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      span: 4,
      options: [
        { value: "0", label: "待开票" },
        { value: "1", label: '待返回开票结果' },
        { value: '2', label: "开票成功" },
        { value: "3", label: "数据有误" },
        { value: "4", label: "开票失败" }
      ]
    }
  ]
};

export default searchFormConfig;
