import { FormConfig } from "/@/components/PageSearch";
import { shareTypes } from "./configs";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "source_nickname",
      type: "input",
      placeholder: "数据源用户"
    },
    {
      field: "source_group_title",
      type: "input",
      placeholder: "数据源用户组"
    },
    {
      field: "nickname",
      type: "input",
      placeholder: "数据共享用户"
    },
    {
      field: "group_title",
      type: "input",
      placeholder: "数据共享用户组",
      options: shareTypes
    },
    {
      field: "type",
      type: "select",
      placeholder: "共享权限",
      options: shareTypes
    }
  ]
};

export default searchFormConfig;
