import { FormConfig } from "/@/components/PageSearch";
import { statusList } from "/@/utils/status";
import { shareTypes } from "./configs";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "title",
      type: "input",
      placeholder: "组名称"
    },
    {
      field: "nickname",
      type: "input",
      placeholder: "组成员"
    },
    {
      field: "status",
      type: "select",
      placeholder: "当前状态",
      options: statusList
    },
    {
      field: "type",
      type: "select",
      placeholder: "共享类型",
      options: shareTypes
    }
  ]
};

export default searchFormConfig;
