import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "companyNo",
      type: "input",
      placeholder: "业务企业编码"
    },
    {
      field: "companyName",
      type: "input",
      placeholder: "业务企业名称"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: [
        {
          label: "启用",
          value: "1"
        },
        {
          label: "禁用",
          value: "0"
        }
      ]
    }
  ]
};

export default searchFormConfig;
