export const actionTypes = [
  {
    value: '1',
    label: '开始节点'
  },
  {
    value: '2',
    label: '过程节点'
  },
  {
    value: '3',
    label: '中断节点'
  },
  {
    value: '4',
    label: '结束节点'
  }
]


export const operactionTypes = [
  {
    value: '1',
    label: '审批节点'
  },
  {
    value: '2',
    label: '系统节点'
  }
]


export const rules = {
  action_type: {
    trigger: 'blur',
    message: '请选择节点类型',
    required: true
  }, operation_type: {
    trigger: 'blur',
    message: '请选择操作类型',
    required: true
  }, status_name: {
    trigger: 'blur',
    message: '请输入节点名称',
    required: true
  }, order_process: {
    trigger: 'blur',
    message: '请输入节点值',
    required: true
  }, next_action_ids: {
    trigger: 'blur',
    message: '请选择下一节点',
    required: true
  }
}
