import { ModalConfig } from "../../../../components/PageModal/src/types";

const modalConfig: ModalConfig = {
  title: "流程",
  itemStyle: {},
  colLayout: { span: 24 },
  formItems: [
    {
      field: "process_name",
      type: "input",
      label: "流程名称",
      labelWidth: "120px",
      rules: [
        {
          required: true,
          message: "流程名称为必填项",
          trigger: "change"
        }
      ]
    },
    {
      field: "process_type",
      type: "input",
      labelWidth: "120px",
      label: "流程值",
      rules: [
        {
          required: true,
          message: "流程值称为必填项",
          trigger: "change"
        }
      ]
    }
  ]
};

export default modalConfig;
