import { FormConfig } from "/@/components/PageSearch";
const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "addtime",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "addtime_start",
        endProp: "addtime_end",
        startPlaceholder: "创建开始时间",
        endPlaceholder: "创建结束时间"
      }
    },
    {
      field: "process_name",
      type: "input",
      placeholder: "流程名称"
    },
    {
      field: "creater",
      type: "input",
      placeholder: "创建人"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: [
        {
          value: "1",
          label: "启用"
        },
        {
          value: "0",
          label: "禁用"
        }
      ]
    }
  ]
};

export default searchFormConfig;
