import { ModalConfig } from "../../../../components/PageModal/src/types";
import { tag_type } from "./_options";

const modalConfig: ModalConfig = {
  title: "标签",
  colLayout: { span: 24 },
  itemStyle: {},
  formItems: [
    {
      field: "type",
      type: "select",
      label: "标签类型",
      labelWidth: "120px",
      placeholder: "请选择标签类型",
      rules: [{ required: true, trigger: "change", message: "请选择标签类型" }],
      options: tag_type
    },
    {
      field: "tag_name",
      type: "input",
      label: "标签名称",
      labelWidth: "120px",
      placeholder: "请输入标签名称",
      rules: [{ required: true, trigger: "change", message: "请输入标签名称" }]
    }
  ]
};

export default modalConfig;
