import { tag_type } from "./_options";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "type",
      type: "select",
      placeholder: "标签类型",
      options: tag_type
    },
    {
      field: "tag_name",
      type: "input",
      placeholder: "标题名称"
    },
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: [
        { value: "0", label: "禁用" },
        { value: "1", label: "启用" }
      ]
    }
  ]
};

export default searchFormConfig;
