import { ModalConfig } from "/@/components/PageModal/src/types";

const modalConfig: ModalConfig = {
  title: "采票回票",
  labelWidth: "100px",
  colLayout: { span: 24 },
  formItems: [
    {
      field: "payNo",
      type: "input",
      label: "对账编码",
      placeholder: "对账编码"
    },
    {
      field: "hpNo",
      type: "input",
      label: "对账回票申请",
      placeholder: "审核状态"
    },
    {
      field: "apply_name",
      type: "input",
      label: "申请人名称",
      placeholder: "申请人名称"
    },
    {
      field: "invType",
      type: "select",
      label: "发票类型",
      placeholder: "发票类型"
    },
    {
      field: "status",
      type: "select",
      label: "审核状态",
      placeholder: "审核状态"
    },
    {
      field: "status",
      type: "select",
      label: "进项设置",
      placeholder: "进项设置",
      options: [
        {
          label: "人工",
          value: "1"
        },
        {
          label: "金税",
          value: "2"
        }
      ]
    },
    {
      field: "input_ticket",
      type: "select",
      label: "进项设置",
      placeholder: "进项设置",
      options: [
        {
          label: "人工",
          value: "1"
        },
        {
          label: "金税",
          value: "2"
        }
      ]
    },
    {
      field: "out_ticket",
      type: "select",
      label: "销项设置",
      placeholder: "销项设置",
      options: [
        {
          label: "人工",
          value: "1"
        },
        {
          label: "金税",
          value: "2"
        }
      ]
    },
    {
      field: "open_time",
      type: "input",
      label: "开票时间",
      placeholder: "开票时间"
    }
  ]
};

export default modalConfig;
