export const columns = [
  {
    label: "对账回票编码",
    prop: "hpNo",
    minWidth: 160,
    align: "left"
  },
  {
    label: "对账编码",
    prop: "payNo",
    minWidth: 160,
    align: "left"
  },
  {
    label: "卖方公司编码",
    prop: "supplierNo",
    minWidth: 150,
    align: "left"
  },
  {
    label: "卖方公司名称",
    prop: "supplierName",
    minWidth: 180,
    align: "left"
  },
  {
    label: "发票查验方式",
    prop: "checkApi",
    minWidth: 100
  },
  {
    label: "发票号码",
    prop: "invoiceNumber",
    minWidth: 100,
    align: "left"
  },
  {
    label: "发票号码",
    prop: "invoiceCode",
    minWidth: 140
  },
  {
    label: "开票日期",
    prop: "open_time",
    minWidth: 130
  },
  {
    label: "申请人",
    prop: "apply_name",
    minWidth: 90
  },
  {
    label: "买方公司编码",
    prop: "companyNo",
    minWidth: 150
  },
  {
    label: "买方公司名称",
    prop: "companyName",
    minWidth: 180
  },
  {
    label: "申请时间",
    prop: "addtime",
    minWidth: 130
  }
];

export const ticketFormItems = {
  //手工开票
  "1": [
    {
      label: "发票类型",
      prop: "invoiceType"
    },
    {
      label: "发票代码",
      prop: "invCode"
    },
    {
      label: "发票号码",
      prop: "invNumber"
    },
    {
      label: "税前金额",
      prop: "subtotal_amount"
    },
    {
      label: "校验码",
      prop: "checkNumber"
    },
    {
      label: "开票日期",
      prop: "open_time"
    }
  ],
  //ocr识别
  "2": [
    {
      label: "发票图片",
      prop: "inv_img"
    }
  ]
};
