import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  colLayout: {
    xl: 3,
    lg: 4,
    md: 6,
    sm: 8,
    xs: 12
  },
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: [
        { value: "0", label: "禁用" },
        { value: "1", label: "启用" }
      ]
    },
    {
      field: "name",
      type: "input",
      placeholder: "报表名称"
    }
  ]
};

export default searchFormConfig;
