import { type_options, tag_type } from "./_options";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  colLayout: {
    xl: 3,
    lg: 4,
    md: 6,
    sm: 8,
    xs: 12
  },
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "执行状态",
      options: tag_type
    },

    {
      field: "type",
      type: "select",
      placeholder: "执行类型",
      options: type_options
    },
    {
      field: "name",
      type: "input",
      placeholder: "报表名称"
    },
    {
      field: "apply_name",
      type: "input",
      placeholder: "申请人"
    }
  ]
};

export default searchFormConfig;
