import { type ExtractPropTypes } from "vue";

export const detailProps = {
  api: {
    type: Function
  },
  prop: {
    type: String
  },
  value: {
    type: [String, Array] as PropType<any>
  },
  title: {
    type: String
  },
  noRequeset: {
    type: Boolean
  }
} as const;

export type DetailProps = ExtractPropTypes<typeof detailProps>;
